Subject: Re: [RFC PATCH 0/4] Remove some e500/MPC85xx evaluation platforms

From: Paul Gortmaker <[email-masked]>
Date: Tue, 21 Feb 2023 16:35:54 -0500

[Re: [RFC PATCH 0/4] Remove some e500/MPC85xx evaluation platforms] On 21/02/2023 (Tue 21:13) Pali Roh??r wrote:

> Hello! I would like to let you know that I have there patch series which
> creates one generic machine descriptor for all P2 boards:
> https://lore.kernel.org/linuxppc-dev/[email-masked]/
> 
> Basically it allows any P2 board to boot one universal kernel binary
> just with correct DTS file. After P2 is merged I was thinking about
> looking at P1 boards too.
> 
> So I would suggest to do some "big" removal of older code after this is
> merged, so I do not have to rebase again my patch series which is
> basically cleanup and make maintenance easier.

Thanks for the update -- I don't want to make extra work for anyone.

If I drop the MPC8568/P1 removal for now, then would you agree that your work
and the remaining changes - this ADS/CDS removal can continue in parallel?

Thanks,
Paul.
--

> 
> I understand that removing old machine descriptions with board code for
> old boards which nobody use and nobody wants to maintain is logical
> step.
> 
> But if something like generic machine descriptor for P1 happens too
> (like I did for P2 in above patch series), it would mean that the only
> board specific information would be stored in DTS files.
> And does it make sense to remove just old DTS files? Are there any
> maintenance with them? (Do not take it wrong, just I'm asking)